[RISOLTO] Downgrade kernel per compatibilità

Questioni legate al Kernel Linux: configurazione, installazione, ottimizzazione, patch

[RISOLTO] Downgrade kernel per compatibilità

Messaggioda DebianRubber » 09/01/2019, 21:25

Ho un kernel versione 4.18.0 e mi servirebbe fare il downgrade perchè devo installare un adattatore wi-fi che però è compatibile con queste versioni di kernel: no it is only for Linux (Kernel version 2.6~3.16). è possibile?
DebianRubber
Newbie
Newbie
 
Messaggi: 45
Iscritto il: 23/01/2018, 15:06

Re: Downgrade kernel per compatibilità

Messaggioda Aki » 10/01/2019, 5:08

Teoricamente è possibile installare simultaneamente più kernel Linux, di cui uno solo (previa selezione dell'utente) è avviato all'accensione del computer. Come farlo, dipende dalla distribuzione Linux utilizzata e dalla versione della distribuzione. Nel caso di Debian riporto di seguito le versioni del kernel al momento nei repository per, ad esempio, l'architettura amd64:
Package linux-image-amd64
jessie (oldstable) (kernel): Linux per PC a 64 bit (metapacchetto)
3.16+63+deb8u3 [security]: amd64 i386
jessie-backports (kernel): Linux per PC a 64 bit (metapacchetto)
4.9+80+deb9u4~bpo8+1: amd64
stretch (stable) (kernel): Linux per PC a 64 bit (metapacchetto)
4.9+80+deb9u6: amd64
stretch-backports (kernel): Linux per PC a 64 bit (metapacchetto)
4.18+100~bpo9+1: amd64
buster (testing) (kernel): Linux per PC a 64 bit (metapacchetto)
4.19+101: amd64
sid (unstable) (kernel): Linux per PC a 64 bit (metapacchetto)
4.19+101: amd64

Installando un pacchetto del kernel per una versione diversa da quella prevista per la release della distribuzione, possono verificarsi in fase di installazione delle anomalie e, nel caso di kernel particolarmente "vecchi" (come per la versione 2.6.x) alcune funzionalità richieste da componenti fondamentali delle versioni più recenti del sistema operativo (mi viene da pensare a systemd) potrebbero non essere disponibili.
Aki
Global Moderator
Global Moderator
 
Messaggi: 8812
Iscritto il: 27/12/2007, 16:59

Re: Downgrade kernel per compatibilità

Messaggioda DebianRubber » 10/01/2019, 9:34

Grazie della risposta Aki. Quindi è sconsigliabile fare un'operazione del genere ma mi consigli piuttosto di prendere un wifi adapter compatibile con le versioni più recenti di linux ? Se sì nel caso ne hai qualcuno da consigliarmi?
DebianRubber
Newbie
Newbie
 
Messaggi: 45
Iscritto il: 23/01/2018, 15:06

Re: Downgrade kernel per compatibilità

Messaggioda Aki » 11/01/2019, 5:42

Non ho un dispositivo specifico da consigliare perché generalmente l'hardware wifi che ho utilizzato è stato finora sempre riconosciuto dal kernel Linux, ma se cerchi nel forum trovi sicuramente altri utenti che hanno fornito suggerimenti in tal senso. Mi sembra ragionevole scegliere di utilizzare un hardware di cui è nota la compatibilità con il kernel che si preferisce usare (e non il contrario).
Aki
Global Moderator
Global Moderator
 
Messaggi: 8812
Iscritto il: 27/12/2007, 16:59

Re: Downgrade kernel per compatibilità

Messaggioda Aki » 19/01/2019, 9:57

@DebianRubber: contrassegno la discussione come risolta, in quanto, in riferimento ad altra discussione, hai effettuato, se ho ben compreso, una riconfigurazione dei repository e, (non lo ha indicato chiaramente,ma risulta dai log dell'altra discussione) hai effettuato un upgrade del kernel usando la versione del repository Debian backports.
Aki
Global Moderator
Global Moderator
 
Messaggi: 8812
Iscritto il: 27/12/2007, 16:59


Torna a Kernel

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite